﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;

@using System.Drawing;

@model Toyota.Common.Web.MVC.ModelHolder

<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td style="width: 150px">
            Production Month
        </td>

        <td style="float:right;">
           
                 @Html.DevExpress().TextBox(
                    SetText =>
                    {
                        SetText.Name = "PRMonthP";
                        SetText.Properties.EnableClientSideAPI = true;
                        SetText.Text = ViewBag.FromDate;
                        
                        SetText.Width = 150;
                        
                    }).GetHtml()

             

               @* @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "PRMonthP";
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "MMMM yyyy";
                    settings.Properties.EditFormatString = "MMMM yyyy";
                    settings.ReadOnly = true;
                    settings.Properties.MinDate = DateTime.Now;

                    settings.Width = 150;                        
                    settings.Properties.ClientSideEvents.Init = @"
                    function OnInit(s, e) {
                        var calendar = s.GetCalendar();
                        calendar.owner = s;
                        calendar.SetVisible(false);             
                    }";

                    settings.Properties.ClientSideEvents.DropDown = @"
                    function OnDropDown(s, e) {
                        var calendar = s.GetCalendar();
                        var fastNav = calendar.fastNavigation;
                        fastNav.activeView = calendar.GetView(0, 0);
                        fastNav.Prepare();
                        fastNav.GetPopup().popupVerticalAlign = 'Below';
                        fastNav.GetPopup().ShowAtElement(s.GetMainElement())

                        fastNav.OnOkClick = function () {
                            //alert(MMProdMonthDate.GetValue());  

                            var parentDateEdit = this.calendar.owner;
                            var currentDate = new Date(fastNav.activeYear, fastNav.activeMonth, 1);
                            
                            parentDateEdit.SetDate(currentDate);
                            
                            parentDateEdit.HideDropDown();
                        }

                        fastNav.OnCancelClick = function () {
                            var parentDateEdit = this.calendar.owner;
                            parentDateEdit.HideDropDown();
                        }
                    }";
                        
                }
            ).GetHtml()*@
        </td>
    </tr>
    <tr>
        <td>
            Route
        </td>

        <td style="float:right; margin-right:-10px;">

            @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "OriRouteP";
                    s.GridProperties.Name = "grlRouteHeaderGrid";
                    s.GridProperties.KeyFieldName = "ROUTE_CD";
                    s.Width = 150;
                    
                    s.ReadOnly = true;
                    s.GridProperties.Width = 100;
                    s.GridProperties.CallbackRouteValues = new { Controller = "D31102", Action = "OriRouteLookup" };
                    s.GridProperties.Width = Unit.Pixel(310);
                    s.GridProperties.Height = Unit.Pixel(350);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                    
                    //s.GridProperties.SettingsPager.NumericButtonCount = 3;
                   
                    
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "ROUTE_CD";
                        c.FieldName = "ROUTE_CD";
                        c.Caption = "Code";
                        c.Width = Unit.Pixel(70);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "ROUTE_NAME";
                        c.FieldName = "ROUTE_NAME";
                        c.Caption = "Name";

                    });
                }
            ).Bind(ViewData["RouteLookup"]).GetHtml()

            
        </td>
    </tr>    
    
    <tr>
        <td>
            Trucking
        </td>

        <td style="float:right; margin-right:-10px;">
            @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "LP_OptionP";
                    s.GridProperties.Name = "grlLPHeaderGrid";
                    s.GridProperties.KeyFieldName = "LP_CD";
                    s.Width = 150;
                    s.ReadOnly = true;
                    s.GridProperties.Width = 100;
                    s.GridProperties.CallbackRouteValues = new { Controller = "D31102", Action = "LPLookupP" };
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(310);
                    s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(320);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    s.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                    
                    
                    
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "LP_CD";
                        c.FieldName = "LP_CD";
                        c.Caption = "Code";
                        c.Width = Unit.Pixel(60);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "LP_NAME";
                        c.FieldName = "LP_NAME";
                        c.Caption = "Name";
                    });
                }
            ).Bind(ViewData["LogisticPartnerLookup"]).GetHtml()

            
        </td>
    </tr>
    <tr>
        <td>
            Source
        </td>

        <td style="float:right;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "Sourcep";
                settings.Text = "Manual";
                settings.ClientEnabled = false;
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Width = 150;
                //settings.Properties.Style.ForeColor = Color.FromName("#000000");
                //settings.Properties.Style.BackColor = Color.FromName("#C4BD97");
            }
            ).GetHtml()

            
        </td>
    </tr>
    
    <tr>
        <td>
            Quantity
        </td>

        <td style="float:right;">
         @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "QtyP";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 150;
                    
                    //settings.Properties.ClientSideEvents.KeyUp =
                    settings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        

                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        //key = String.fromCharCode(key);
                        //alert(key);
                        if( 
                            //(key >= 37 && key <= 40) ||
                            (key >= 48 && key <= 57) ||
                            (key == 8)
                        )
                        
                        //if (key < 48 || key > 57 )
                        {
                            theEvent.returnValue = true;
                        }else                         
                        {
                            theEvent.returnValue = false;
                            if(theEvent.preventDefault) 
                                theEvent.preventDefault();
                        }

                        //var regex = /[0-9]|\./;
//                        if(!regex.test(key))
//                        {
//                            theEvent.returnValue = false;
//                            if(theEvent.preventDefault) 
//                                theEvent.preventDefault();
//                        }
                    }



//                        function cekjumlah() 
//                        {
//	                        var pola = '^';
//	                        pola += '[0-9]*';
//	                        pola += '$';
//	                        rx = new RegExp(pola);
//
//
//	                        if (!QtyP_I.value.match(rx))
//	                        {
//		                        if (QtyP_I.lastMatched)
//		                        {
//			                        QtyP_I.value = QtyP_I.lastMatched;
//		                        }
//		                        else
//		                        {
//			                        QtyP_I.value = '';
//		                        }
//	                        }
//	                        else
//	                        {
//		                        QtyP_I.lastMatched = QtyP_I.value;
//	                        }
//                        }
                    ";
                    
                }
            ).GetHtml()
            @*@Html.DevExpress().SpinEdit(
                settings => {
                    settings.Name = "QtyP";
                    settings.Width = 150;
                    
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 10000;
                    
                    //settings.Number = 799.95M;
                }
            ).GetHtml()*@
        </td>
    </tr>
</table>
<br />
<table cellpadding="0" cellspacing="0" width="100%" style="padding:5px;">

    <tr>       
       
            <td style="float:right; padding-left:7px;">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnCancelAdd";
                    button.Text = "Cancel";
                    button.Width = Unit.Pixel(70);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "function(s, e){ popupnew.Hide(); enabledButton(); clearSelection(); ClearForm();  }";
                }
            ).GetHtml()
        </td>
         <td style="float:right;">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSave";
                    button.Text = "Save";
                    button.Width = Unit.Pixel(70);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "btnSave_click";
                    //button.AllowFocus = true;
                    

                }
            ).GetHtml()
            </td>
    </tr>
</table>
